Skip to content

Partially updates a abstract submission process with the specified ID.

Request

This method will patch an existing abstract submission process with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the abstract submission process to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractSubmissionProcesses/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The abstract submission process was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
confirmation_emailobject(Confirmation Email)required

The email to send when the application is received

contact_form_optionsobject(Contact Form Options)required
custom_field_valuesArray of objects(Custom Field Values)
display_ordernumber, (float)(Display Order)

Order to display the submission processes in

enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not an email should be sent when the application is received

event_idstring(Event)required

The event

idstring(ID)^[\w-_:]+$required

The unique, string identifier of this abstract submission process

is_activeboolean(Is Active)

Whether or not this abstract submission process is active

max_contact_submissionsnumber, (float)(Max Contact Submissions)

The maximum number of submission per contact

max_word_countnumber, (float)(Max Word Count)

Maximum number of words allowed to be input into the body field in the abstract form

maximum_number_of_co_authorsnumber, (float)(Maximum Number Of Co Authors)

The maximum # of co-authors

maximum_number_of_session_tracksnumber, (float)(Maximum Number Of Session Tracks)

The maximum number of session tracks that an abstract can be submitted for

namestring(Name)required

Name of the process

organization_form_optionsobject(Organization Form Options)required
presenter_quick_add_optionsobject(Presenter Quick Add Options)

UI options for how to add the abstract submitter

quick_add_contact_optionsobject(Quick Add Contact Options)

UI options for how the add co-authors should function

show_contact_formboolean(Show Contact Form)

Whether or not to show an organization form. Boolean value for showing

show_in_portalboolean(Show In Portal)

Should show in portal

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

submission_form_idstring(Submission Form)events-abstracts__.*required

The registration form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "contact_form_options": { "contact_form_id": "string", "html": "string" }, "custom_field_values": [ { … } ], "display_order": 0.1, "enable_confirmation_email": true, "event_id": "string", "id": "string", "is_active": true, "max_contact_submissions": 0.1, "max_word_count": 0.1, "maximum_number_of_co_authors": 0.1, "maximum_number_of_session_tracks": 0.1, "name": "string", "organization_form_options": { "html": "string", "organization_form_id": "string" }, "presenter_quick_add_options": {}, "quick_add_contact_options": {}, "show_contact_form": true, "show_in_portal": true, "show_organization_form": true, "submission_form_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }